DATA_TYPE Struct Reference

## Public Member Functions

bool | operator< (const DATA_TYPE &y) const

## Public Attributes

string | a
KEY_TYPE | key
std::string | data
time_t | birth
float | net_worth
string | first_name
string | last_name
int | key

## Member Function Documentation

bool DATA_TYPE::operator< | ( | const DATA_TYPE & | y | ) | const

inline

## Member Data Documentation

string DATA_TYPE::a

time_t DATA_TYPE::birth

std::string DATA_TYPE::data

string DATA_TYPE::first_name

int DATA_TYPE::key

KEY_TYPE DATA_TYPE::key

string DATA_TYPE::last_name

float DATA_TYPE::net_worth

The documentation for this struct was generated from the following files:

- I:/modular-boost/libs/sort/example/caseinsensitive.cpp
- I:/modular-boost/libs/sort/example/charstringsample.cpp
- I:/modular-boost/libs/sort/example/floatfunctorsample.cpp
- I:/modular-boost/libs/sort/example/generalizedstruct.cpp
- I:/modular-boost/libs/sort/example/keyplusdatasample.cpp
- I:/modular-boost/libs/sort/example/reversestringfunctorsample.cpp
- I:/modular-boost/libs/sort/example/stringfunctorsample.cpp